Bug 1423024

Summary: ubuntu versions should report USB tablet support
Product: [Community] Virtualization Tools Reporter: Cole Robinson <crobinso>
Component: libosinfoAssignee: Matthias Clasen <mclasen>
Status: CLOSED ERRATA QA Contact:
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: unspecifiedCC: berrange, cfergeau, fidencio
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-02-27 22:53:23 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Cole Robinson 2017-02-16 21:41:42 UTC
None of the ubuntu distro metadata reports support for the USB tablet device. To fill it in, someone needs to do a test and find the earliest version that supports it (probably debian jessie timeframe). Presently this prevents virt-manager from using a USB tablet for ubuntu VMs

Comment 1 Fabiano Fidêncio 2017-02-16 21:47:51 UTC
Debian Squeeze already has support to USB Tablet according to libosinfo and it dates from 2011.

Most likely 11.04 or 11.10 are the ones where the support was introduced.

I'll take a look on this over the weekend, Cole.

Comment 2 Cole Robinson 2017-02-16 21:49:32 UTC
Thanks Fabiano! I looked at the debian metadata in osinfo-db but messed up the debian codename, squeeze is correct

Comment 3 Fabiano Fidêncio 2017-02-19 21:38:44 UTC
Patch sent to the ML:
https://www.redhat.com/archives/libosinfo/2017-February/msg00017.html

Comment 4 Fabiano Fidêncio 2017-02-25 13:22:01 UTC
Patch is part of 20170225 release.

Comment 5 Fedora Update System 2017-02-25 13:42:35 UTC
osinfo-db-20170225-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-dacf05af1a

Comment 6 Fedora Update System 2017-02-26 05:26:23 UTC
osinfo-db-20170225-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-dacf05af1a

Comment 7 Fedora Update System 2017-02-27 22:53:23 UTC
osinfo-db-20170225-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.